Skip to content

Materialize

POST
/networth/materialize
curl --request POST \
--url 'https://example.com/networth/materialize?start=2026-04-15&end=2026-04-15'

Backfill/refresh the net_worth_daily materialization for a range.

start
required
Start
string format: date
end
required
End
string format: date

Successful Response

Media typeapplication/json
Response Materialize Networth Materialize Post
object
key
additional properties
integer

Example generated

{
"additionalProperty": 1
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string

Example generated

{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}